Skip to main content
POST
Bulk create payouts

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json.

Path Parameters

businessId
string
required

The UUID of the business to create payouts for.

Body

application/json
external_id
string
required

Unique ID of the payout in your system for linking purposes.

Example:

"payout-1234"

paid_out_amount
integer<int64>
required

The amount of the payout, in cents. This amount can be negative if refunds and fees exceed payments.

fee
integer<int64>
required

The platform fee associated with the payout. Should be expressed as a positive value.

completed_at
string<date-time>
required

Timestamp of when the payout was completed.

payments
(Reference existing payment · object | Create new payment and invoice · object)[]
required

List of invoice payments to associate with the payout. Can refer to existing payments by ID or external ID. Alternatively, you can create new payments by specifying the payment amount and payment external ID.

additional_refunds_amount
integer<int64>
default:0

The amount of additional refunds associated with the payout, in cents. This should only be used when refunds cannot be individually itemized in the refunds array. Should be expressed as a positive value.

processor
enum<string> | null

Processor used to make the payment. If not null, every payment or refund associated with the payout must have the same processor.

Available options:
STRIPE,
PAYPAL,
SHOPIFY,
ADYEN,
RAINFOREST
Example:

"STRIPE"

payment_clearing_account_identifier
Account ID · object

Identifier for the ledger account where the payout deposits. If not specified, the payout deposits to Undeposited Funds.

refunds
(Reference existing refund payment · object | Create new refund with payment · object)[]

List of refund payments to associate with the payout. Can refer to existing payments by ID or external ID, or by their refund's ID or external ID (so long as said refund has exactly one payment). Alternatively, you can create new refund payments by specifying the refund amount and refund external ID.

loan_payments
object[] | null

List of loan payments to associate with the payout, referenced by ID or external ID. Optional; omit to create the payout with no loan payments.

other_transactions
object[]

A list of other transactions associated with the payout.

tags
object[]
memo
string | null

Memo for any text you would like to associate with the payout (for example, to display to end users).

metadata
object | null

Arbitrary custom metadata in JSON format with a size limit of 1KB.

Example:
reference_number
string | null

Any (typically user-visible) identifier you would like to associate with the payout. Can be used to filter when listing payouts.

Response

All payouts were successfully created or updated.

data
object[]
required